<div class="contenedor-calc" data-bind="scope:'calc'">
    <h2>calculadora </h2>

    <input type="text" id="pantalla">
    <div class="cont_calc">
        <button id="numero" data-bind="click:_click" value="1">1</button>
        <button id="numero"data-bind="click:_click" value="2">2</button>
        <button id="numero"data-bind="click:_click" value="3">3</button>
        <button id="opera" data-bind="click:_click" value="+">+</button>

        <button id="numero"data-bind="click:_click" value="4">4</button>
        <button id="numero"data-bind="click:_click" value="5">5</button>
        <button id="numero"data-bind="click:_click" value="6">6</button>
        <button id="opera" data-bind="click:_click" value="-">-</button>

        <button id="numero"data-bind="click:_click" value="7">7</button>
        <button id="numero"data-bind="click:_click" value="8">8</button>
        <button id="numero"data-bind="click:_click" value="9">9</button>
        <button id="opera" data-bind="click:_click" value="*">*</button>


        <button id="numero" data-bind="click:_click" value="0">0</button>

        <button id="borrar" data-bind="click:_borrar" value="borrar">Borrar</button>
        
        <button id="igual" data-bind="click:_result" value="result">=</button>
        <button id="opera" data-bind="click:_click" value="/">/</button>
    </div>


    <script type="text/x-magento-init">
        {
        "*": {
            "Magento_Ui/js/core/app": {
               "components": {
                    "calc": {
                            "component": "AgSoftware_Calc/js/calc"
                        }
                    }
                }
            }
    }
</script>
</div>